<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$pagea = 'demarrage';
$titre = 'Page de démarrage';

	$template->assign('linkpage', 'demarrage');

if (!empty($_GET['i']) && $_GET['i'] == 'add') {
	if (!empty($_POST['contenu']) && isset($_POST['titre'])) {
		$titre = gpc('titre', 'post');
		$contenu = gpc('contenu', 'post');
		$chapeau->connexion();
		$chapeau->escape($titre);
		$chapeau->escape($contenu);
		$time = time();
		$chapeau->query("INSERT INTO $table_messages_demarrage (titre, contenu, time) VALUES ('$titre', '$contenu', $time);");
		$chapeau->deconnexion();

		header('Location: admin.php?p=demarrage');
		exit;
	}
	$template->assign('id', 'add');
	$pagea = 'demarrage_add';
}
elseif (!empty($_GET['i'])) {
	$id = $_GET['i'];
	if (!empty($_POST['contenu']) && isset($_POST['titre'])) {
		$titre = gpc('titre', 'post');
		$texte = gpc('contenu', 'post');
		$chapeau->connexion();
		$chapeau->escape($titre);
		$chapeau->escape($texte);
		$time = time();
		$reset = gpc('reset', 'post');
		if (!empty($reset)) $chapeau->query("UPDATE $table_messages_demarrage SET contenu = '$texte', titre = '$titre', time = $time WHERE id = '$id';");
		else $chapeau->query("UPDATE $table_messages_demarrage SET contenu = '$texte', titre = '$titre' WHERE id = '$id';");
		$chapeau->deconnexion();

		header('Location: admin.php?p=demarrage');
		exit;
	}
	$chapeau->connexion();
	$req = $chapeau->unique_query("SELECT * FROM $table_messages_demarrage WHERE id = '$id';");
	$chapeau->deconnexion();
	$template->assign('mod', $req);
	$template->assign('id', $id);
	$pagea = 'demarrage_add';
}
elseif (!empty($_GET['d'])) {
	$id = $_GET['d'];
	$chapeau->connexion();
	$chapeau->query("DELETE FROM $table_messages_demarrage WHERE id = '$id';");
	$chapeau->deconnexion();

	header('Location: admin.php?p=demarrage');
	exit;
}
else {
	$chapeau->connexion();
	$req = $chapeau->query("SELECT * FROM $table_messages_demarrage;");
	$chapeau->deconnexion();
	$template->assign('tableau', $req);
}
?>